#!/usr/bin/env bash

SSH=$(ssh root@localhost)

curl "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_Updater/Updater%20Source%20Files/Intro.md" |
		
zenity --text-info \
		--width=1000 \
		--height=700 \
		--title="Sovran_SystemsOS Updater"

if [[ $? -eq 1 ]]; then
		
		exit 1

else

	if ! $SSH 'flatpak update -y' ; then
		
		zenity --error \
		--title="Sovran_SystemsOS Updater" \
		--text="Could Not Update Flatpaks."
		
		exit 1

	fi
	
		
	if ! $SSH 'cd /etc/nixos ; nix flake update ; nixos-rebuild switch --impure' ; then
		
		zenity --error \
		--title="Sovran_SystemsOS Updater" \
		--text="Could Not Update Sovran_SystemsOS"
		
		exit 1
	
	fi

zenity --info \
	--ellipsize \
	--no-wrap \
	--width=400 \
	--title="Sovran_SystemsOS Updater" \
	--text="Yay Complete! Please Reboot When You Are Ready."
	
fi

exit 0